Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dms.instrument
Class Sensor

`java.lang.Object
oracle.dms.instrument.Sensor`

Direct Known Subclasses:
  Event, PhaseEvent, State

public abstract class Sensor
extends java.lang.Object

`Sensor` is an abstract class that represents the various types of Sensors that can be used for measuring performance. The `Sensor` class defines common functionality including metric derivation, access to Sensor attributes, access to metric values, and destruction of Sensors. Each Sensor is contained by exactly one Noun.

By convention, Sensor names start with a lower case letter to distinguish them from Nouns. Character '/' is the default delimiter between Noun and Sensor names. It is not recommanded that '/' is used as a part of the Sensor name.

Field Summary
`static int` | `active` Constant for the active metric
`static int` | `all` Constant for all the applicable metrics.
`static int` | `average` Constant for the average metric
`static int` | `completed` Constant for the completed metric
`static int` | `count` Constant for the count metric
`static int` | `exclTime` Constant for the exclTime metric
`static int` | `maxActive` Constant for the maxActive metric
`static int` | `maximum` Constant for the maximum metric
`static int` | `minimum` Constant for the minimum metric
`static int` | `sum` Constant for the sum metric
`static int` | `time` Constant for the time metric
`static int` | `value` Constant for the value metric

Constructor Summary
`protected` | `Sensor()`

Method Summary
`void` | `deriveMetric(int metric)` Instructs the Sensor to derive additional metrics.
`void` | `destroy()` Removes the Sensor from DMS and releases references to underlying resources.
`static Sensor` | `get(java.lang.String pathname)` Returns the Sensor corresponding to the supplied pathname, or `null` if no such node exists.
`java.lang.String` | `getDescription()` Returns a String containing a description of the Sensor.
`java.lang.String` | `getName()` Returns the name of the Sensor
`java.lang.Object` | `getValue(int derivation)` Returns the value for one of the Sensor's metrics
`void` | `reset()` Resets the Sensor's derived metrics back to initial values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public static final int value

  Constant for the value metric
  See Also:
    Constant Field Values

### time

    public static final int time

  Constant for the time metric
  See Also:
    Constant Field Values

### count

    public static final int count

  Constant for the count metric
  See Also:
    Constant Field Values

### completed

    public static final int completed

  Constant for the completed metric
  See Also:
    Constant Field Values

### minimum

    public static final int minimum

  Constant for the minimum metric
  See Also:
    Constant Field Values

### maximum

    public static final int maximum

  Constant for the maximum metric
  See Also:
    Constant Field Values

### sum

    public static final int sum

  Constant for the sum metric
  See Also:
    Constant Field Values

### average

    public static final int average

  Constant for the average metric
  See Also:
    Constant Field Values

### active

    public static final int active

  Constant for the active metric
  See Also:
    Constant Field Values

### maxActive

    public static final int maxActive

  Constant for the maxActive metric
  See Also:
    Constant Field Values

### exclTime

    public static final int exclTime

  Constant for the exclTime metric
  See Also:
    Constant Field Values

### all

    public static int all

  Constant for all the applicable metrics.

Constructor Detail

### Sensor

    protected Sensor()

Method Detail

### destroy

    public void destroy()

  Removes the Sensor from DMS and releases references to underlying resources.
  Since:
    Oracle iAS 1.0.2.2

### getDescription

    public java.lang.String getDescription()

  Returns a String containing a description of the Sensor.
  Returns:
    a String containing a description of the Sensor.
  Since:
    Oracle iAS 1.0.2.2

### getName

    public java.lang.String getName()

  Returns the name of the Sensor
  Returns:
    the name of the Sensor
  Since:
    Oracle iAS 1.0.2.2

### getValue

    public java.lang.Object getValue(int derivation)

  Returns the value for one of the Sensor's metrics
  Parameters:
    `derivation` - Bit value of the desired metric derivation. (e.g. `Sensor.minimum`, `Sensor.maximum`, ...)
  Returns:
    the corresponding metric's current value or `null` if the derivation does not exist for the Sensor.
  Since:
    Oracle iAS 9.0.2

### deriveMetric

    public void deriveMetric(int metric)

  Instructs the Sensor to derive additional metrics.
  Parameters:
    `metric` - the metrics to be derived

    Possible values include `Sensor.minimum`, `Sensor.maximum`, ... The values can be bitwise-ORed together, or multiple calls to deriveMetric can be made at the programmer's convenience.

    The list of allowed derivations is Sensor-type specific.

  Since:
    Oracle iAS 1.0.2.2

### reset

    public void reset()

  Resets the Sensor's derived metrics back to initial values
  Since:
    Oracle iAS 9.0.2

### get

    public static Sensor get(java.lang.String pathname)

  Returns the Sensor corresponding to the supplied pathname, or `null` if no such node exists.
  Parameters:
    `pathname` - the pathname, in the form <delim>name<delim>name... examples: `/Wisconsin/Green/Monroe.Oregon.Multnomah.Portland` etc.
  Returns:
    the Sensor that maps to the name, or `null`.
  Since:
    Oracle iAS 1.0.2.2

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All Rights Reserved.